--- title: "Get template" slug: "sens-alimtalk-template-get" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/sens-alimtalk-template-get" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get template Available in Classic and VPC Get template information of Alim Talk. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /alimtalk/v2/services/{serviceId}/templates | ### Request headers For information about the headers common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service request headers](/docs/en/sens-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | Biz Message service ID - See [Get project list](/docs/en/sens-project-list). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel](/docs/en/sens-alimtalk-kakao-channel-get). | | `templateCode` | String | Optional | Template code - When entered, it returns the template details (inspection content, additional information, etc.). | | `templateName` | String | Optional | Template name - Filter values that match in whole or in part. | | `pageSize` | Integer | Optional | Number of items per page - 1-100 (default: 100) | | `pageIndex` | Integer | Optional | Page index - 0-N (default: 0) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sens.apigw.ntruss.com/alimtalk/v2/services/ncp:kkobizmsg:kr:16******8:sens/templates?channelId=%40********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createTime` | String | - | Template creation date and time - YYYY-MM-DDTHH:mm:ss.sss format | | `updateTime` | String | - | Template modification date and time - YYYY-MM-DDTHH:mm:ss.sss format | | `channelId` | String | - | Channel ID | | `templateCode` | String | - | Template code | | `templateName` | String | - | Template name | | `categoryCode` | String | - | Template category code | | `categoryName` | String | - | Template category | | `messageType` | String | - | Message type - `BA` \| `EX` \| `AD` \| `MI` - `BA`: Basic type - `EX`: Additional information type - `AD`: Add channel type - `MI`: Mixed type | | `emphasizeType` | String | - | Highlight type - `NONE` \| `TEXT` \| `IMAGE` \| `ITEM_LIST` - `NONE`: Basic type - `TEXT`: Highlight type - `IMAGE`: Image type - `ITEM_LIST`: Item list type | | `content` | String | - | Template content | | `adContent` | String | - | Ad content - Display when ad content exists. | | `extraContent` | String | - | Additional information content - Display when additional information exists. | | `title` | String | - | Highlight information title | | `additionalTitle` | String | - | Highlight information secondary title | | `comments` | Array | - | Inspection information: [comments](/docs/en/sens-alimtalk-template-get#comments) - Display when querying template details. | | `templateInspectionStatus` | String | - | Inspection status - `ACCEPT` \| `REGISTER` \| `INSPECT` \| `COMPLETE` \| `REJECT` - `ACCEPT`: Accepted - `REGISTER`: Standby - `INSPECT`: Processing - `COMPLETE`: Completed - `REJECT`: Rejected | | `templateStatus` | String | - | Template status - `ACTIVE` \| `READY` \| `NOT_REGISTER` \| `STOP` - `ACTIVE`: Normal - `READY`: Registration completed - `NOT_REGISTER`: Pending registration - `STOP`: Stopped | | `buttons` | Array | - | Button list: [buttons](/docs/en/sens-alimtalk-template-get#buttons) - Up to 5 | | `securityFlag` | Boolean | - | Security setting status - `true` \| `false` - `true`: Enable - `false`: Disable | | `isBlock` | Boolean | - | Whether it is blocked - `true` \| `false` - `true`: Blocked - `false`: Not blocked | | `isDormant` | Boolean | - | Dormancy - `true` \| `false` - `true`: Dormant - `false`: Not dormant | | `useImage` | Boolean | - | Image usage - `true` \| `false` - `true`: Enable - `false`: Disable | | `imageName` | String | - | Image file name | | `imageUrl` | String | - | Image URL | | `useHeaderContent` | Boolean | - | Header usage - `true` \| `false` - `true`: Enable - `false`: Disable | | `headerContent` | String | - | Header content | | `useItemHighlight` | Boolean | - | Item highlight usage - `true` \| `false` - `true`: Enable - `false`: Disable | | `useItemHighlightImage` | Boolean | - | Item highlight image usage - `true` \| `false` - `true`: Enable - `false`: Disable | | `itemHighlight` | Object | - | Item highlight information | | `itemHighlight.title` | String | - | Item highlight title | | `itemHighlight.description` | String | - | Item highlight content | | `itemHighlight.imageUrl` | String | - | Item highlight image URL | | `item` | Object | - | Item list information | | `item.list` | Array | - | Item list: [list](/docs/en/sens-alimtalk-template-get#list) | | `item.summary` | Object | - | Item summary information | | `item.summary.title` | String | - | Item summary title | | `item.summary.description` | String | - | Item summary content | #### `comments` The following describes `comments`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `commentId` | String | - | Inspection ID | | `content` | String | - | Inspection content | | `status` | String | - | Inspection status - `APR` \| `REJ` - `APR`: Inspection completed - `REJ`: Inspection rejected | | `createTime` | String | - | Inspection date and time - YYYY-MM-DD HH:mm:ss format | | `attachment` | Array | - | Inspection inquiry content attachment: [attachment](/docs/en/sens-alimtalk-template-get#attachment) | #### `attachment` The following describes `attachment`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `fileName` | String | - | Attachment name | | `fileUrl` | String | - | Attachment URL | #### `buttons` The following describes `buttons`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `order` | Integer | - | Button order | | `type` | String | - | Button type - `DS` \| `WL` \| `AL` \| `BK` \| `MD` \| `AC` - `DS`: Shipment tracking - `WL`: Web link - `AL`: App link - `BK`: Bot keyword - `MD`: Message delivery - `AC`: Add channel | | `name` | String | - | Button name | | `linkMobile` | String | - | Mobile web link | | `linkPc` | String | - | PC web link | | `schemeIos` | String | - | iOS app link | | `schemeAndroid` | String | - | Android app link | #### `list` The following describes `list`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `title` | String | - | Name of the item | | `description` | String | - | Item content | ### Response status codes For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service response status codes](/docs/en/sens-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: **When querying list** ``` [ { "createTime": "2025-11-25T10:38:52.604", "updateTime": "2025-11-25T10:41:21.538", "channelId": "@********", "templateCode": "templatecode1", "templateName": "t001" } ] ``` **When querying details (querying including `templateCode`)** ``` [ { "createTime": "2025-11-25T10:38:52.604", "updateTime": "2025-11-25T10:41:21.538", "channelId": "@********", "templateCode": "templatecode1", "templateName": "t001", "categoryCode": "009001", "categoryName": "Coupon issuance", "messageType": "BA", "emphasizeType": "TEXT", "content": "īŽ‰ New customer welcome coupon!\nSign up now to receive a 5000 KRW\ncoupon you can use right now.\n Get coupon: #{URL}", "title": "New customers benefit", "additionalTitle": "New customer welcome coupon issuance", "comments": [], "templateInspectionStatus": "REGISTER", "templateStatus": "READY", "buttons": [], "securityFlag": false, "isBlock": false, "isDormant": false, "useImage": false, "useHeaderContent": false, "useItemHighlight": false } ] ```